<p>liste-fleurs works!</p>

<!-- Il n'y a plus de fleurs en stock-->
<p *ngIf="fleurs.length == 0; else displayList">Désolé, il n'y a plus de fleurs en stock</p>
<!-- Affichage de la liste des fleurs -->
<ng-template #displayList>
    <div>
        <!-- Pour chaque fleur de la liste this.fleurs -->
        <div *ngFor="let fleur of fleurs; let i = index; let isOdd = odd; let isEven = even">
            <ul>
                <li>[{{ i }}/impair : {{isOdd}}/pair {{isEven}}]</li>
                <li>Id: {{ fleur.id }}</li>
                <!-- le ngClass attend un objet :
                    chaque attribut est le nom de la classe CSS
                    si il est à "true", la classe est ajoutée à l'élément
                    si il est à "false", la classe est ignorée -->
                <li [ngClass]="{'bold': isEven, 'italic': isOdd}">Nom: {{ fleur.name }}</li>
                <li>Variété: {{ fleur.variety }}</li>
                <li>Couleur: {{ fleur.color }}</li>
                <li>Prix: {{ fleur.price }}</li>
            </ul>
        </div>
    </div>
</ng-template>